View Issue Details

IDProjectCategoryView StatusLast Update
0019573mantisbtotherpublic2015-09-06 17:37
ReporteratrolAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019573: Status legend on "My View" page should not depend on last used filter
Description

Implementation of 0011554 introduced a new functionality to show just status colors of last used filter in legend or even suppress the display of the legend.

This might make sense on "Views Issues" page but not on "My View" page.

Steps To Reproduce

1) Filter by a single status on "View Issues" page
2) Goto page "My View" page

Watched behavior: There is no status legend displayed.

Additional Information

Also to consider:

  • Different projects can have different status enums
  • Different colors can be assigned to the same status in different projects.

I am not sure if the suppression of the status values makes sense in general.
The first questions is if the behavior should be reverted to the behavior in 1.2.x.

TagsNo tags attached.

Activities

atrol

atrol

2015-04-08 18:14

developer   ~0049353

Reminder sent to: dregad, vboctor

Undo changes from 0011554 in a first step?

vboctor

vboctor

2015-04-09 12:21

manager   ~0049372

I'm OK reverting 0011554. Seems like over engineering. I'm not sure there is much value of the added complexity.

dregad

dregad

2015-05-17 05:21

developer   ~0050771

PR https://github.com/mantisbt/mantisbt/pull/607

Related Changesets

MantisBT: master ca2da7d2

2015-05-17 05:05:38

dregad

Details Diff
Status legend on "My View" independent of current filter

Implementation of 0011554 introduced a new functionality to show just
status colors of current filter in legend, or even suppress the display
of the legend. This makes sense on "Views Issues" page but not on "My
View" page.

This introduces a new parameter for html_status_legend(), allowing the
caller to determine whether the legend should take the filter into
consideration or not (by default, it does not and will display all valid
status for the workflow).

Only "My View" page uses the new parameter.

Fixes 0019573
mod - core/html_api.php Diff File
mod - view_all_inc.php Diff File

MantisBT: master 91f21ca3

2015-05-17 17:48:02

dregad

Details Diff
Move logic to display status legend to HTML API

Avoid code duplication by adding a parameter to html_status_legend() to
specify the desired position for the legend, and performing the checks
within that function instead of doing it in each of the callers.

This follows @vboctor's suggestion in pull request
https://github.com/mantisbt/mantisbt/pull/607

Issue 0019573
mod - core/bug_group_action_api.php Diff File
mod - core/html_api.php Diff File
mod - my_view_page.php Diff File
mod - view_all_inc.php Diff File

Issue History

Date Modified Username Field Change
2015-04-05 06:12 atrol New Issue
2015-04-08 18:14 atrol Note Added: 0049353
2015-04-09 12:21 vboctor Note Added: 0049372
2015-05-17 05:05 dregad Assigned To => dregad
2015-05-17 05:05 dregad Status new => assigned
2015-05-17 05:21 dregad Note Added: 0050771
2015-05-19 11:47 dregad Changeset attached => MantisBT master ca2da7d2
2015-05-19 11:47 dregad Changeset attached => MantisBT master 91f21ca3
2015-05-19 11:47 dregad Status assigned => resolved
2015-05-19 11:47 dregad Resolution open => fixed
2015-05-19 11:47 dregad Fixed in Version => 1.3.0-beta.3
2015-09-06 17:37 vboctoradmin Status resolved => closed